SKY 3DS Flashing games help

Discussion in '3DS - Flashcards & Custom Firmwares' started by supermayo8a, Mar 1, 2015.

  1. supermayo8a
    OP

    supermayo8a Member

    Newcomer
    18
    4
    Mar 1, 2015
    Mexico
    Guadalajara, Jalisco
    Hi Everyone, I'm planning on buying a Sky 3DS blue button edition to use with my New3DS XL and I have a few questions.
    Once you flash the games into your SD, can you delete them and replace them with different games? What happens if during gameplay you accidently press the blue button? Can I get all of the upcoming DLC, like mewtwo from smash bros by downloading the dlc from a website? Is the Save data from the games stored in the SD card of the Sky 3ds or the SD card on the system itself, if it's on the sky 3ds sd card, can I backup the save data to my computer or download new save data from a website? Will the New 3DS Exclusives like Xenoblade Chronicles work on the Sky 3DS?

    Thank you in advanced! And sorry for so many noob questions :)
     
  2. gunner007

    gunner007 GBAtemp Advanced Maniac

    Member
    1,506
    368
    Dec 31, 2013
    United States
    You can replace the games, but need to back up the save otherwise it's lost when deleted.
    Pressing the blue button during a game will crash the game.
    No you cannot. You will need to purchase the DLC from the e-shop to be able to use it.
     
  3. supermayo8a
    OP

    supermayo8a Member

    Newcomer
    18
    4
    Mar 1, 2015
    Mexico
    Guadalajara, Jalisco
    Will it support the New 3DS Exclusive games?
     
  4. VuuI

    VuuI Advanced Member

    Newcomer
    70
    41
    Dec 28, 2014
    Belgium
    Noone knows yet, Sky3DS claims on their website that it will. but how they've acquired such information noone knows.
     
  5. supermayo8a
    OP

    supermayo8a Member

    Newcomer
    18
    4
    Mar 1, 2015
    Mexico
    Guadalajara, Jalisco
    I hope it does :)
    Oh and by the way, if a new firmware version for the 3DS comes out and the Sky 3DS supports it, will you need to update the sky 3ds flashcart somehow?
    Because for DLC's you have to be in the latest version correct?